Gst::TocSetter Class Reference
gstreamermm Interfaces

An interface that allows setting and retrieval of the TOC. More...

`#include <gstreamermm/tocsetter.h>`

Inherits Interface.

## Public Member Functions

| TocSetter (TocSetter&& src) noexcept
TocSetter& | operator= (TocSetter&& src) noexcept
| ~TocSetter () noexcept override
GstTocSetter* | gobj ()
| Provides access to the underlying C GObject. More...
const GstTocSetter* | gobj () const
| Provides access to the underlying C GObject. More...
void | set_toc (const Glib::RefPtr< Gst::Toc >& toc)
| Set the given TOC on the setter. More...
Glib::RefPtr< Gst::Toc > | get_toc () const
| Return current TOC the setter uses. More...
void | reset ()
| Reset the internal TOC. More...

## Static Public Member Functions

static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions

| TocSetter ()
| You should derive from this class to use it. More...

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< Gst::TocSetter > | wrap (GstTocSetter* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

An interface that allows setting and retrieval of the TOC.

Elements that support some kind of chapters or editions (or tracks like in the FLAC cue sheet) will implement this interface.

If you just want to retrieve the TOC in your application then all you need to do is watch for TOC messages on your pipeline's bus (or you can perform TOC query). This interface is only for setting TOC data, not for extracting it. To set TOC from the application, find proper tocsetter element and set TOC using set_toc().

Elements implementing the Gst::TocSetter interface can extend existing TOC by getting extend UID for that (you can use gst_toc_find_entry() to retrieve it) with any TOC entries received from downstream.

Last reviewed on 2016-08-27 (1.8.0)

## Constructor & Destructor Documentation

## TocSetter() [1/2]

Gst::TocSetter::TocSetter | ( |  | ) |

protected

You should derive from this class to use it.

## TocSetter() [2/2]

Gst::TocSetter::TocSetter | ( | TocSetter&& | src | ) |

noexcept

## ~TocSetter()

Gst::TocSetter::~TocSetter | ( |  | ) |

override noexcept

## Member Function Documentation

## add_interface()

static void Gst::TocSetter::add_interface | ( | GType | gtype_implementer | ) |

static

## get_toc()

Glib::RefPtr<Gst::Toc> Gst::TocSetter::get_toc | ( |  | ) | const

Return current TOC the setter uses.

The TOC should not be modified without making it writable first.

Returns
  TOC set, or `nullptr`. Unref with gst_toc_unref() when no longer needed.

## get_type()

static GType Gst::TocSetter::get_type | ( |  | ) |

static

Get the GType for this class, for use with the underlying GObject type system.

## gobj() [1/2]

GstTocSetter* Gst::TocSetter::gobj | ( |  | ) |

inline

Provides access to the underlying C GObject.

## gobj() [2/2]

const GstTocSetter* Gst::TocSetter::gobj | ( |  | ) | const

inline

Provides access to the underlying C GObject.

## operator=()

TocSetter& Gst::TocSetter::operator= | ( | TocSetter&& | src | ) |

noexcept

## reset()

void Gst::TocSetter::reset | ( |  | ) |

Reset the internal TOC.

Elements should call this from within the state-change handler.

## set_toc()

void Gst::TocSetter::set_toc | ( | const Glib::RefPtr< Gst::Toc >& | toc | ) |

Set the given TOC on the setter.

Previously set TOC will be unreffed before setting a new one.

Parameters

  toc | A Gst::Toc to set.

## Friends And Related Function Documentation

## wrap()

Glib::RefPtr< Gst::TocSetter > wrap | ( | GstTocSetter * | object,
|  | bool | take_copy = `false`
| ) |  |

related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.